Subject: Re: bug#69563: 29.1; message-forward-make-body-* has too long line

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 06 Mar 2024 08:58:33 -0800

RwN via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

> Both functions message-forward-make-body-digest-plain and
> message-forward-make-body-digest-plain has 68 long character length
> for the "start of forwarded line" while it has 66 for the "End" part.
> This cause a problem when format=flowed which use the recommended
> value 66 (RFC2046). Is there any reason the start line has 2
> characters more?

Thanks for the report. It looks to me like the relevant RFC is 3676[1],
which specifies lines SHOULD be 78 characters or shorter; 66 is only
mentioned as a "it has been suggested..." Is that not correct?

On the other hand, I can't think of a single good reason for the start
line to be 2 characters longer than the end line, except historical
accident.

[1]: https://datatracker.ietf.org/doc/html/rfc3676#section-4.2